# class Raven::MessageInterface

### Attributes

message[RW]
params[RW]

### Public Class Methods

new(*arguments) click to toggle source
Calls superclass method `Raven::Interface::new`

    # File sentry-raven/lib/raven/interfaces/message.rb, line 7
    def initialize(*arguments)
      self.params = []
      super(*arguments)
    end

sentry_alias() click to toggle source

    # File sentry-raven/lib/raven/interfaces/message.rb, line 16
    def self.sentry_alias
      :logentry
    end

### Public Instance Methods

unformatted_message() click to toggle source

    # File sentry-raven/lib/raven/interfaces/message.rb, line 12
    def unformatted_message
      Array(params).empty? ? message : message % params
    end